Index: trunk/gli/src/org/greenstone/gatherer/cdm/ClassifierManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/ClassifierManager.java	(revision 12807)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/ClassifierManager.java	(revision 12808)
@@ -112,5 +112,4 @@
 	    Node target_node = CollectionConfiguration.findInsertionPoint(element);
 	    add(root, classifier, target_node);
-	    Gatherer.c_man.configurationChanged();
 	}
     }
@@ -230,5 +229,4 @@
 	}
 	
-	Gatherer.c_man.configurationChanged();
 	// tell the format manager to update the names of its format statements
 	Gatherer.c_man.getCollection().cdm.format_manager.refresh();
@@ -241,5 +239,4 @@
     private void removeClassifier(Classifier classifier) {
 	remove(classifier);
-	Gatherer.c_man.configurationChanged();
     }
 
@@ -467,6 +464,4 @@
 			ac.destroy();
 			ac = null;
-			// cos I can't be bothered checking every argument to see if it has changed or not, we'll asasume that the configuration has changed if someone has clicked configure
-			Gatherer.c_man.configurationChanged();
 		    }
 		}
@@ -493,6 +488,4 @@
 		   ac.destroy();
 		   ac = null;
-		   // cos I can't be bothered checking every argument to see if it has changed or not, we'll asasume that the configuration has changed if someone has clicked configure
-		   Gatherer.c_man.configurationChanged();
 		}
 	    }
Index: trunk/gli/src/org/greenstone/gatherer/cdm/CollectionDesignManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/CollectionDesignManager.java	(revision 12807)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/CollectionDesignManager.java	(revision 12808)
@@ -90,5 +90,4 @@
     static final public int NOTHING = 0;
     static private int rebuildTypeRequired = NOTHING; //Rebuild type required if only design options have changed
-    static public boolean update_collect_cfg_required = false;
 
     /** Constructor. Loads a certain collection configuration file, which is parsed into a DOM. This model is then registered with the command information managers, each of whom knows how to, and provides controls to, alter certain commands.
Index: trunk/gli/src/org/greenstone/gatherer/cdm/CollectionMeta.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/CollectionMeta.java	(revision 12807)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/CollectionMeta.java	(revision 12808)
@@ -171,5 +171,4 @@
 	    // And determine if this makes the metadata assigned
 	    setAssigned(raw_value != null && raw_value.length() > 0);
-	    Gatherer.c_man.configurationChanged();
 	}
     }
Index: trunk/gli/src/org/greenstone/gatherer/cdm/CollectionMetaManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/CollectionMetaManager.java	(revision 12807)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/CollectionMetaManager.java	(revision 12808)
@@ -59,10 +59,5 @@
 	    Node target_node = CollectionConfiguration.findInsertionPoint(element);
 	    add(root, metadata, target_node);
-	    if (!metadata.getValue(CollectionMeta.TEXT).equals("")) {
-		// if just adding an empty metadata, the configuration hasn't changed.
-		Gatherer.c_man.configurationChanged();
-	    }
-	}
-	//Gatherer.c_man.configurationChanged();
+	}
     }
 
@@ -180,5 +175,4 @@
 		if(name.equals(other.getName()) && language.equals(other.getLanguage())) {
 		    remove(i);
-		    Gatherer.c_man.configurationChanged();
 		    return;
 		}
@@ -192,16 +186,11 @@
     /** Removes all of the metadata with a certain name, regardless of language or value. */
     public void removeMetadata(String name) {
-	boolean removed_entry = false;
 	for(int i = getSize(); i != 0; i--) {
 	    CollectionMeta other = (CollectionMeta) getElementAt(i - 1);
 	    if(name.equals(other.getName())) {
 		remove(i - 1);
-		removed_entry = true;
 	    }
 	    other = null;
 	}	
-	if(removed_entry) {
-	    Gatherer.c_man.configurationChanged();
-	}
     }
 
Index: trunk/gli/src/org/greenstone/gatherer/cdm/DesignChangeListener.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/DesignChangeListener.java	(revision 12807)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/DesignChangeListener.java	(revision 12808)
@@ -50,10 +50,6 @@
 
     public void maybeSetRebuildRequired() {
-	if(rebuildType > CollectionDesignManager.getRebuildTypeRequired()) {
+	if (rebuildType > CollectionDesignManager.getRebuildTypeRequired()) {
 	    CollectionDesignManager.setRebuildTypeRequired(rebuildType);
-	}
-	//We need to keep track of this seperately, as collect.cfg is uploaded if needed, when the collect.cfg is saved.
-	if(rebuildType == CollectionDesignManager.UPDATE_COLLECT_CFG) {
-	    CollectionDesignManager.update_collect_cfg_required = true;
 	}
     }
Index: trunk/gli/src/org/greenstone/gatherer/cdm/FormatManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/FormatManager.java	(revision 12807)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/FormatManager.java	(revision 12808)
@@ -152,5 +152,4 @@
 	    Node target_node = CollectionConfiguration.findInsertionPoint(element);
 	    add(root, format, target_node);
-	    Gatherer.c_man.configurationChanged();
 	}
     }
@@ -207,6 +206,4 @@
     private void removeFormat(Format format) {
 	remove(format);
-	Gatherer.c_man.configurationChanged();
-       
     }
 
@@ -528,7 +525,4 @@
 		addFormat(format);
 		existingFormat();
-		// Save the collection configuration file immediately
-	
-		Gatherer.c_man.configurationChanged();
 
        		// Update list selection
@@ -582,5 +576,4 @@
                     if (shouldSave){
 			format.setValue(editor_textarea.getText());
-                        Gatherer.c_man.configurationChanged();
                         model.refresh((DOMProxyListEntry)format);
 		    }
@@ -605,5 +598,4 @@
 		    if (shouldSave){
 			format.setState(enabled_checkbox.isSelected());
-                        Gatherer.c_man.configurationChanged();
                         model.refresh((DOMProxyListEntry)format);
 		    } 
@@ -933,10 +925,7 @@
 		    removeFormat((Format)format_list.getSelectedValue());
 
-		    // Save the collection configuration file immediately
-		    Gatherer.c_man.configurationChanged();
 		    // Change buttons
 		    add_button.setEnabled(true);
 		    newFormat();
-                    
 		}
 	    }
Index: trunk/gli/src/org/greenstone/gatherer/cdm/IndexManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/IndexManager.java	(revision 12807)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/IndexManager.java	(revision 12808)
@@ -104,5 +104,4 @@
 		setDefault(index);
 	    }
-	    Gatherer.c_man.configurationChanged();
 	}
 	else {
@@ -330,7 +329,4 @@
 	    add(position, index);
 	}
-
-	// Schedule the collection for saving
-	Gatherer.c_man.configurationChanged();
     }
 
@@ -361,6 +357,5 @@
 		    default_index.setAssigned(false);
 		}
-	    } 
-	    Gatherer.c_man.configurationChanged();
+	    }
 	}
     }
@@ -389,7 +384,4 @@
 	// add the new one at that position
 	add(position, new_index);
-
-	// Schedule the collection for saving
-	Gatherer.c_man.configurationChanged();
     }
 
@@ -424,6 +416,4 @@
 	    }
 	}
-	Gatherer.c_man.configurationChanged();
-               
     }
 
Index: trunk/gli/src/org/greenstone/gatherer/cdm/LanguageManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/LanguageManager.java	(revision 12807)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/LanguageManager.java	(revision 12808)
@@ -112,5 +112,4 @@
 	    CollectionDesignManager.collectionmeta_manager.addMetadatum(metadatum);
 	    add(getSize(), language);
-	    Gatherer.c_man.configurationChanged();
 	}
     }
@@ -204,6 +203,4 @@
 	}
 
-	// Schedule the collection for saving
-	Gatherer.c_man.configurationChanged();
 	return new_position;
     }
@@ -221,5 +218,4 @@
 	    setDefault(null);
 	}
-	Gatherer.c_man.configurationChanged();
     }
 
@@ -239,9 +235,7 @@
 	remove(old_language);
 	add(position, new_language);
-
-	// Schedule the collection for saving
-	Gatherer.c_man.configurationChanged();
-
-    }
+    }
+
+
     /** Method to set the default language.
      * @param language The <strong>Language</strong> to use as a default, or <i>null</i> for no default.
@@ -271,5 +265,4 @@
 	    }
 	}
-	Gatherer.c_man.configurationChanged();
     }
 
@@ -372,5 +365,4 @@
 			language_metadata.setAttribute(StaticStrings.ASSIGNED_ATTRIBUTE, StaticStrings.TRUE_STR);
 			language_metadata.setAttribute(StaticStrings.NAME_ATTRIBUTE, value);
-			Gatherer.c_man.configurationChanged();
 		    }
 		});
Index: trunk/gli/src/org/greenstone/gatherer/cdm/LevelManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/LevelManager.java	(revision 12807)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/LevelManager.java	(revision 12808)
@@ -58,8 +58,5 @@
 	    meta.setValue(level);
 	    CollectionDesignManager.collectionmeta_manager.addMetadatum(meta);
-
-	    Gatherer.c_man.configurationChanged();
-	}
-	
+	}
     }
     
@@ -110,5 +107,4 @@
 	if ((level_elem = getLevel(level_name)) != null) {
 	    levels_model.remove(level_elem);
-	    Gatherer.c_man.configurationChanged();
 	}
     }
@@ -143,5 +139,4 @@
 	    }
 	}
-	Gatherer.c_man.configurationChanged();
     }
 
Index: trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 12807)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/PluginManager.java	(revision 12808)
@@ -157,5 +157,4 @@
 	    addBefore(plugin, separator_plugin);
 	}
-	Gatherer.c_man.configurationChanged();
     }
 
@@ -270,5 +269,4 @@
 		addBefore(plugin, first_plugin);
 		first_plugin = null;
-		Gatherer.c_man.configurationChanged();
 	    }
 	    else {
@@ -277,5 +275,4 @@
 		// Add the moving plugin before the separator
 		addBefore(plugin, separator_plugin);
-		Gatherer.c_man.configurationChanged();
 	    }
 	}
@@ -295,5 +292,4 @@
 		remove(plugin);
 		add(index, plugin);
-		Gatherer.c_man.configurationChanged();
 	    }
 	    else {
@@ -309,5 +305,4 @@
 		remove(plugin);
 		add(index, plugin);
-		Gatherer.c_man.configurationChanged();
 	    }
 	}
@@ -355,5 +350,4 @@
     private void removePlugin(Plugin plugin) {
 	remove(plugin);
-	Gatherer.c_man.configurationChanged();
     }
 
@@ -626,6 +620,4 @@
 			    ac.destroy();
 			    ac = null;
-			    // cos I can't be bothered checking every argument to see if it has changed or not, we'll asasume that the configuration has changed if someone has clicked configure
-			    Gatherer.c_man.configurationChanged();
 			}
 		    }
@@ -653,6 +645,4 @@
 			ac.destroy();
 			ac = null;
-			// cos I can't be bothered checking every argument to see if it has changed or not, we'll asasume that the configuration has changed if someone has clicked configure
-			Gatherer.c_man.configurationChanged();
 		    }
 		}
Index: trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionIndexManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionIndexManager.java	(revision 12807)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionIndexManager.java	(revision 12808)
@@ -84,5 +84,4 @@
 	    CollectionDesignManager.collectionmeta_manager.addMetadatum(metadatum);
 	    add(getSize(), subcollection_index);
-	    Gatherer.c_man.configurationChanged();
 	}
     }
@@ -154,6 +153,4 @@
 	}
 
-	// Schedule the collection for saving
-	Gatherer.c_man.configurationChanged();
 	return new_position;
     }
@@ -174,5 +171,4 @@
 	    // Remove the index
 	    remove(subcollection_index);
-	    Gatherer.c_man.configurationChanged();
 	}
     }
@@ -211,8 +207,4 @@
 	remove(old_subcollection);
 	add(position, new_subcollection);
-	
-	// Schedule the collection for saving
-	Gatherer.c_man.configurationChanged();
-
     }
 
@@ -246,5 +238,4 @@
  	    }
  	}
- 	Gatherer.c_man.configurationChanged();
     }
 
Index: trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionManager.java	(revision 12807)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/SubcollectionManager.java	(revision 12808)
@@ -88,5 +88,4 @@
 	    // Failing that we insert immediately after a language string
 	    add(root, subcollection, target_node);
-	    Gatherer.c_man.configurationChanged();
 	}
     }
@@ -142,5 +141,4 @@
     private void removeSubcollection(Subcollection subcollection) {
 	remove(subcollection);
-	Gatherer.c_man.configurationChanged();
     }
 
@@ -152,5 +150,4 @@
 	subcollection.setSource(source);
 	refresh(subcollection);
-	Gatherer.c_man.configurationChanged();
     }
 
Index: trunk/gli/src/org/greenstone/gatherer/cdm/SuperCollectionManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/SuperCollectionManager.java	(revision 12807)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/SuperCollectionManager.java	(revision 12808)
@@ -75,7 +75,5 @@
 	if(!contains(supercollection)) {
 	    add(getSize(), supercollection);
-	    Gatherer.c_man.configurationChanged();
-	}
-	
+	}
     }
 
@@ -113,5 +111,4 @@
 	if(contains(supercollection)) {
 	    remove(supercollection);
-	    Gatherer.c_man.configurationChanged();
 	}
     }
Index: trunk/gli/src/org/greenstone/gatherer/cdm/TranslationView.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/cdm/TranslationView.java	(revision 12807)
+++ trunk/gli/src/org/greenstone/gatherer/cdm/TranslationView.java	(revision 12808)
@@ -366,5 +366,4 @@
 		    translation_text = null;
 		    remove_button.setEnabled(true);
-		    Gatherer.c_man.configurationChanged();
 		}
 		add_button.setEnabled(false);
@@ -386,5 +385,4 @@
 		    // If a remove occured then enable add
 		    add_button.setEnabled(true);
-		    Gatherer.c_man.configurationChanged();
 		}
 		// Either way disable replace and remove
@@ -410,5 +408,4 @@
 		    metadata = null;
 		    remove_button.setEnabled(true);
-		    Gatherer.c_man.configurationChanged();
 		}
 		// Either way disable replace
Index: trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java
===================================================================
--- trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 12807)
+++ trunk/gli/src/org/greenstone/gatherer/collection/CollectionManager.java	(revision 12808)
@@ -251,14 +251,5 @@
     }
 
-  
- /** Method that is called whenever something has changed in the configuration of this collection. */
-    public void configurationChanged() {
-	if(collection != null) {
-	    collection.setSaved(false);
-	    collection.cdm.update_collect_cfg_required = true;
-	}
-    }
-
-   
+
     public void convertToGS3Collection() {
 	// Generate the convert_coll_from_gs2.pl command