Index: /trunk/greenorg/macros/english.dm
===================================================================
--- /trunk/greenorg/macros/english.dm	(revision 12848)
+++ /trunk/greenorg/macros/english.dm	(revision 12849)
@@ -68,7 +68,4 @@
 UNESCO is running regional training workshops on the use of Greenstone.
 }
-_t3.save_ {<a href="http://sourceforge.net/project/showfiles.php?group_id=12123&release_id=202808">Here</a> is a package of all material that we prepared for the Suva workshop: lectures, labs, documents, test files, etc.  It focuses on building collections with the Librarian Interface.
-Please feel free to use it for learning -- or teaching! -- Greenstone.
-}
 
 _cdrom260_ {
@@ -80,12 +77,4 @@
  
 _greenstone270w_ {<i>(Jun 1)</i> <a href="_httppagex_(download)">Greenstone v2.70w</a> released! A stable release corresponding to the Hawaii Greenstone v2.70w Workshop CD-ROM. See <a href="http://sourceforge.net/project/shownotes.php?release_id=421745&group_id=12123">release notes</a> for more information.
-}
-
-_upgradeyourgreenstoneinstallation_ {
-If you are running the Local Library server on Windows, you can download a small package to upgrade to Greenstone 2.52. <a href="http://prdownloads.sourceforge.net/greenstone/gsdl-2.51-locallibrary-to-2.52-upgrade.zip?download">Upgrade from Greenstone 2.51</a>, or <a href="http://prdownloads.sourceforge.net/greenstone/gsdl-2.50-locallibrary-to-2.52-upgrade.zip?download">upgrade from Greenstone 2.50</a>. If you are upgrading a UNESCO 2.50 CD-ROM, you should delete the macros\\home.dm file and rename the macros\\home.dm.bak file to macros\\home.dm after the upgrade has finished.
-}
-
-_glp262_ {
-<i>(Oct 6)</i> <a href="http://sourceforge.net/project/showfiles.php?group_id=12123&package_id=89483">Download</a> all the language interfaces available for the Greenstone digital library software (version 2.62): the four "core" languages English, French, Spanish, Russian; and interfaces for Arabic, Armenian, Bengali, Catalan, Chinese (Simplified), Chinese (Traditional), Croatian, Czech, Dutch, Farsi, Finnish, Galician, Georgian, German, Greek, Hebrew, Hindi, Indonesian, Italian, Japanese, Kannada, Kazakh, Kirghiz, Latvian, Maori, Mongolian, Polish, Portuguese (Brazil), Portuguese (Portugal), Serbian, Thai, Turkish, Ukrainian, Vietnamese.
 }
 
@@ -93,8 +82,4 @@
 <i>(Oct 26)</i> Building collections on a remote Greenstone server<br />
 This scheme allows users to augment and edit collections that are held on a remote Greenstone server. Users work with a modified version of the Greenstone Librarian Interface but do not need to have Greenstone running locally. Multiple users can collaborate on the same collection (though not at the same time). <a href="http://www.cs.waikato.ac.nz/~mdewsnip/greenstone/west-yorkshire/remote-greenstone.html">Here</a> are details of an experimental version that you can download (<a href="http://prdownload.berlios.de/gsdl-esdoc/gsdlremoto.pdf">En EspaÃ±ol</a>).
-}
-
-_support_ {
-We have reorganised our <a href="_gwcgi_?a=p&p=support">Support page</a>, and included some new information about donations to the Greenstone project, contract research and commercial support.
 }
 
@@ -235,5 +220,5 @@
 Select the Greenstone distribution you require from the list below. Each
 distribution provides a complete interface in English, French, Spanish and
-Russian.
+Russian, and incomplete interfaces in many other languages.
 }
 
@@ -244,5 +229,5 @@
 click' interface. To use this tool you will need a suitable Java Run-time
 Environment, which you can download via <a
-href="http://java.sun.com/j2se/">here</a> -- the latest version is currently 1.4.2 (then choose the JRE, not the SDK).
+href="http://java.sun.com/j2se/">here</a> -- the latest version is currently 1.5 (then choose the JRE, not the SDK).
 }
 
@@ -255,5 +240,5 @@
 
 _t24_ {
-Greenstone can no longer be installed on 16 bit Windows (that is, Windows 3.1/3.11). However collections that have been exported to CD will still run on these systems.
+Greenstone can no longer be installed on 16 bit Windows (that is, Windows 3.1/3.11). However collections that have been exported to CD will still run on these systems (Greenstone 2.70w and earlier).
 }
 
@@ -320,5 +305,5 @@
 
 _t35_ {
-This distribution has been tested on Mac OS X 10.2.6 and 10.3.2.  It
+This distribution has been tested on Mac OS X 10.4.7.  It
 includes the pre-built binaries and also includes the demonstration
 collection, pre-built. This distribution also includes the Greenstone
@@ -353,10 +338,10 @@
 
 _classicpack_ {Greenstone Classic Interface Pack}
-_classicpackdesc_ {Greenstone 2.63 and later: Greenstone now comes with all languages enabled. New HTML and CSS stylesheets have removed the need for images with text on them, reducing the size of each language interface. This "classic interface" pack contains all the old text images (for all languages), and is designed to be used with a backwards compatibility macro file. You will only need to download this pack if you want to use the old-style tables + text images layout, or if you need support for Netscape 4, which doesn't support the new CSS. To use the images, edit greenstone\\etc\\main.cfg, and replace nav_css.dm with nav_ns4.dm in the macrofiles list.}
+_classicpackdesc_ {Greenstone 2.63 and later: Greenstone now comes with all languages enabled. New HTML and CSS stylesheets have removed the need for images with text on them, reducing the size of each language interface. This "classic interface" pack contains all the old text images (for all languages), and is designed to be used with a backwards compatibility macro file. You will only need to download this pack if you want to use the old-style tables + text images layout, or if you need support for Netscape 4, which doesn't support the new CSS. To use the images, edit greenstone\\etc\\main.cfg, and replace nav_css.dm with nav_ns4.dm in the macrofiles list. Note that this does not affect the multilingual support for the Greenstone Librarian Interface.}
 
 _langpack_ {Greenstone Language Pack}
 
 _langpackdesc_ {
-Greenstone 2.62 and earlier: These versions of Greenstone come with only English, French, Spanish and Russian interfaces. This package contains the interface to Greenstone in various different language versions; see <a href="_httpwikiintn_">here</a> for details.
+Greenstone 2.62 and earlier: These versions of Greenstone come with only English, French, Spanish and Russian reader's interfaces. This package contains the interface to Greenstone in various different language versions; see <a href="_httpwikiintn_">here</a> for details. Note that this does not affect the multilingual support for the Greenstone Librarian Interface.
 }
 
@@ -364,5 +349,6 @@
 
 _t41_ {
-This package enables the "export to CD-ROM" function from within the Greenstone Librarian Interface and the Collector. 
+Greenstone 2.70: This package enables the "export to CD-ROM" function from within the Greenstone Librarian Interface and the Collector. This has been included in all binary releases since 2.70w. To get this functionality for Greenstone versions prior to 2.70, please contact the <a
+href="mailto:greenstone-users@list.scms.waikato.ac.nz">mailing list</a>.
 }
 
@@ -398,7 +384,5 @@
 
 _t45_ {
-The Organizer is a Windows application useful for automatically generating
-many of the configuration files (metadata.xml, sub.txt etc.)  required by
-complex Greenstone collections.
+The Organizer is a Windows application useful for managing metadata and automatically generating the configuration files (metadata.xml, sub.txt etc.) needed to build a new Greenstone collection. It has now been replaced by the Greenstone Librarian Interface (GLI), and in any case is only appropriate for collections in a format very similar to the Development Library format (the format of the Greenstone demo collection).
 }
 