Index: trunk/cic-hcap/macros/extra.dm
===================================================================
--- trunk/cic-hcap/macros/extra.dm	(revision 12861)
+++ trunk/cic-hcap/macros/extra.dm	(revision 12862)
@@ -469,13 +469,12 @@
 <div class="cicheading">Type of Place</div>
 
-<p />
 <table width="_pagewidth_">
   <tr>
-    <td width="50%"><center><a href="_gwcgi_?a=p&p=typesIndividualbuilding"><img alt="Cooper Hall, Limestone College" src="_httpcollection_/images/building.jpg"/><br />Buildings</a></center></td>
-    <td width="50%"><center><a href="_gwcgi_?a=p&p=typesCampusarrangement"><img alt="Campus Plan, Bryan College" src="_httpcollection_/images/arrangement.jpg"/><br />Campus Arrangements</center></td>
+    <td width="50%"><center><a href="_gwcgi_?a=p&amp;p=typesIndividualbuilding"><img alt="Cooper Hall, Limestone College" src="_httpcollection_/images/building.jpg"/><br />Buildings</a></center></td>
+    <td width="50%"><center><a href="_gwcgi_?a=p&amp;p=typesCampusarrangement"><img alt="Campus Plan, Bryan College" src="_httpcollection_/images/arrangement.jpg"/><br />Campus Arrangements</a></center></td>
   </tr>
   <tr>
-    <td width="50%"><center><a href="_gwcgi_?a=p&p=typesLandscapesite"><img alt="Tableau in the Mary Dell (ca. 1912)" src="_httpcollection_/images/landscapesite.jpg"/><br />Landscape Sites</a></center></td>
-    <td width="50%"><center><a href="_gwcgi_?a=p&p=typesBuildinggroup"><img alt="Hotel Ponce de Leon, Flagler College" src="_httpcollection_/images/buildinggroup.jpg"/><br />Building Groups</a></center></td>
+    <td width="50%"><center><a href="_gwcgi_?a=p&amp;p=typesLandscapesite"><img alt="Tableau in the Mary Dell (ca. 1912)" src="_httpcollection_/images/landscapesite.jpg"/><br />Landscape Sites</a></center></td>
+    <td width="50%"><center><a href="_gwcgi_?a=p&amp;p=typesBuildinggroup"><img alt="Hotel Ponce de Leon, Flagler College" src="_httpcollection_/images/buildinggroup.jpg"/><br />Building Groups</a></center></td>
   </tr>
 </table>
@@ -515,12 +514,10 @@
 <div class="cicheading">States</div>
 
-<p />
-<center><img src="_httpcollection_/images/usa_map-mono.gif" usemap="#states"/></center>
+<center><img alt="US state map" src="_httpcollection_/images/usa_map-mono.gif" usemap="#states"/></center>
 <map name="states">
   <!-- <area shape="rect" coords="106,145,132,159" href="#New Mexico"> -->
 </map>
 
-<p />
-<center><b><a href="#Alabama">A</a>&nbsp;B&nbsp;<a href="#California">C</a>&nbsp;<a href="#Delaware">D</a>&nbsp;E&nbsp;<a href="#Florida">F</a>&nbsp;<a href="#Georgia">G</a>&nbsp;<a href="#Hawaii">H</a>&nbsp;<a href="#Idaho">I</a>&nbsp;J&nbsp;<a href="#Kansas">K</a>&nbsp;<a href="#Louisiana">L</a>&nbsp;<a href="#Maine">M</a>&nbsp;<a href="#Nebraska">N</a>&nbsp;<a href="#Ohio">O</a>&nbsp;<a href="#Pennsylvania">P</a>&nbsp;Q&nbsp;<a href="#Rhode Island">R</a>&nbsp;<a href="#South Carolina">S</a>&nbsp;<a href="#Tennessee">T</a>&nbsp;<a href="#Utah">U</a>&nbsp;<a href="#Vermont">V</a>&nbsp;<a href="#Washington">W</a>&nbsp;X&nbsp;Y&nbsp;Z&nbsp;</b></center>
+<center><b><a href="#Alabama">A</a>&nbsp;B&nbsp;<a href="#California">C</a>&nbsp;<a href="#Delaware">D</a>&nbsp;E&nbsp;<a href="#Florida">F</a>&nbsp;<a href="#Georgia">G</a>&nbsp;<a href="#Hawaii">H</a>&nbsp;<a href="#Idaho">I</a>&nbsp;J&nbsp;<a href="#Kansas">K</a>&nbsp;<a href="#Louisiana">L</a>&nbsp;<a href="#Maine">M</a>&nbsp;<a href="#Nebraska">N</a>&nbsp;<a href="#Ohio">O</a>&nbsp;<a href="#Pennsylvania">P</a>&nbsp;Q&nbsp;<a href="#RhodeIsland">R</a>&nbsp;<a href="#SouthCarolina">S</a>&nbsp;<a href="#Tennessee">T</a>&nbsp;<a href="#Utah">U</a>&nbsp;<a href="#Vermont">V</a>&nbsp;<a href="#Washington">W</a>&nbsp;X&nbsp;Y&nbsp;Z&nbsp;</b></center>
 
 _cicstaticbrowser_
@@ -1050,5 +1047,5 @@
   <tr>
     <td valign="top">
-      <img src="_httpcollection_/images/usa_map-color.gif" usemap="#states"/>
+      <img alt="US state map" src="_httpcollection_/images/usa_map-color.gif" usemap="#states"/>
       <map name="states">
         <!-- <area shape="rect" coords="106,145,132,159" href="javascript: selectRegion('New Mexico')"> -->