Index: trunk/gsdl/macros/english.dm
===================================================================
--- trunk/gsdl/macros/english.dm	(revision 12876)
+++ trunk/gsdl/macros/english.dm	(revision 12877)
@@ -409,4 +409,8 @@
 _textstem_ {ignore word endings}
 _textnostem_ {whole word must match}
+_textaccentdiffs_ {Accent differences:}
+_textignoreaccents_ {ignore accents}
+_textmatchaccents_ {accents must match}
+
 _textprefop_ {Return up to _maxdocoption_ hits with _hitsperpageoption_ hits per page.}
 _textextlink_ {Access to external Web pages:}
@@ -429,8 +433,8 @@
 <br>}
 
-_textsearchtype_ {Search type:}
-_textformsearchtype_ {form with _formnumfieldoption_ fields}
-_textplainsearchtype_ {plain with _boxsizeoption_ query box}
-_textregularbox_ {regular}
+_textsearchtype_ {Query style:}
+_textformsearchtype_ {fielded with _formnumfieldoption_ fields}
+_textplainsearchtype_ {normal with _boxsizeoption_ query box}
+_textregularbox_ {single line}
 _textlargebox_ {large}
 
@@ -552,7 +556,6 @@
 _texthelpquerytermstitle_ {Search terms}
 _texthelpqueryterms_ {
-<p>Whatever you type into the query box is interpreted as a list of words
-called "search terms."  Each term contains nothing but alphabetic characters
-and digits.  Terms are separated by white space.  If any other characters such
+<p>Whatever you type into the query box is interpreted as a list of words or phrases
+called "search terms."  A term is a single word containing only letters and digits, or a phrase consisting of a sequence of words enclosed in double quotes ("...").  Terms are separated by white space.  If any other characters such
 as punctuation appear, they serve to separate terms just as though they were
 spaces.  And then they are ignored.  You can't search for words that include
@@ -597,10 +600,9 @@
       likely to appear in the documents you are looking for.  Documents are
       displayed in order of how closely they match the query.  When determining
-
       the degree of match,
 
       <p><ul>
-        <li> the more search terms a document contains, the closer it matches;
-        <li> rare terms are more important than common ones;
+        <li> the more search term occurrences a document contains, the closer it matches;
+        <li> terms which are rare in the collection as a whole are more important than common ones;
         <li> short documents match better than long ones.
       </ul>
@@ -612,5 +614,5 @@
 }
 
-_texthelpadvancedsearchtitle_ {Advanced searching}
+_texthelpadvancedsearchtitle_ {Advanced searching using the _1_ search engine}
 
 _texthelpadvancedsearch_ {
@@ -650,9 +652,11 @@
 }
 
-_texthelpformsearchtitle_ {Form searching}
+_texthelpformsearchtitle_ {Fielded searching}
 
 _texthelpformsearch_ {
-<p>Form searching provides the opportunity to combine searches across fields. For example, search for "Smith" in Title AND "snail farming" in Subject. Each line of the form behaves similarly to a single plain search: boolean operators are only allowed in advanced mode, phrases must be specified using double quotes. The individual lines of the form are combined using AND (for an all search) or OR (for a some search). Terms inside the field are also combined the same way. In advanced mode, you can specify different combinations of AND/OR/NOT between the fields using the drop-down lists, and inside a field you can use boolean operators.
-}
+<p>Fielded searching provides the opportunity to combine searches across fields. For example, one can search for "Smith" in Title AND "snail farming" in Subject. In simple query mode, each line of the form behaves like a normal single line search. The individual lines of the form are combined using AND (for an "all" search) or OR (for a "some" search). Terms inside the field are also combined the same way. In advanced mode, you can specify different combinations of AND/OR/NOT between the fields using the drop-down lists, and inside a field you can use boolean operators.
+}
+
+_texthelpformstemming_ {The "fold" and "stem" boxes allow you to specify whether the terms inside that field are casefolded or stemmed. These are both switched off by default for advanced form searching.}
 
 _textdatesearch_ {Searching with Dates}
@@ -715,6 +719,7 @@
 a different language if you like.  You can also alter the encoding scheme
 used by Greenstone for output to the browser -- the software chooses
-sensible defaults, but with some browsers better visual results can be used
-by switching to a different encoding scheme. All collections allow you to
+sensible defaults, but with some browsers it may be necessary to switch to 
+a different encoding scheme to ensure correct character display.
+All collections allow you to
 switch from the standard graphical interface format to a textual one. This
 is particularly useful for visually impaired users who use large screen
@@ -740,24 +745,10 @@
 _texthelpsearchprefstitle_ {Search preferences}
 _texthelpsearchprefs_ {
+<p>You can switch to an "advanced" query mode which allows you to combine terms
+using & (for "and"), | (for "or"), and ! (for "not"), using parentheses for 
+grouping if desired. This allows you to specify more precise queries. 
 <p>_selectsearchtypeprefs_
-<p>You can switch to an "advanced" query mode which allows you to combine terms
-using & (for "and"), | (for "or"), and ! (for "not"), using parentheses for grouping if desired. This allows you to specify more precise
-queries. 
-<p>Two pairs of buttons control the kind of text matching in the searches that
-you make. The first set (labeled "case differences") controls whether upper and
-lower case must match.  The second ("word endings") controls whether to ignore
-word endings or not.  
-
-<p>For example, if the buttons <i>ignore case differences</i> and
-<i>ignore word endings</i> are selected, the query<p>
-    <ul><kbd>African building</kbd></ul>
-      <p>will be treated the same as<p>
-      <ul><kbd>africa builds</kbd></ul><p>
-      because the uppercase letter in "African" will be transformed to
-      lowercase, and  the suffixes "n" and "ing" will be removed from
-      "African" and "building" respectively (also, "s" would be removed from
-      "builds").
-
-<p>You can turn the search history feature, which shows you your last few
+<p>_selectwordmodificationprefs_
+<p>You can turn on the search history feature, which shows you your last few
 queries.  This makes it easy to repeat slightly modified versions of previous
 queries. 
@@ -766,12 +757,18 @@
 }
 
+_textcasefoldprefs_ {A pair of buttons controls whether upper and lower case must match when searching. For example, if "_preferences:textignorecase_" is selected, <i>snail farming</i> will be treated the same as <i>Snail Farming</i> and <i>SNAIL FARMING</i>.}
+_textstemprefs_{A pair of buttons controls whether to ignore word endings or not when searching. For example, if "_preferences:textstem_" is selected, <i>snail farming</i> will be treated the same as <i>snails farm</i> and <i>snail farmer</i>. This currently only works properly for English language text. _selectstemoptionsprefs_}
+_textaccentfoldprefs_ {A pair of buttons controls whether accented and unaccented letters must match when searching. For example, if "_preferences:textignoreaccents_" is selected, <i>fÃ©dÃ©ration</i> will be treated the same as <i>fedÃ©ration</i> and <i>federation</i>.}
+ 
+_textstemoptionsprefs_ {It may be more convenient and precise to use the search term truncation facility described above in "_texthelpquerytermstitle_".}
+
 _textsearchtypeprefsplain_ {It is possible to get a large query box, so that you can easily do paragraph-sized searching. It is surprisingly quick to search for large amounts of text.}
 
-_textsearchtypeprefsform_ {You can change the number of fields shown in the form.}
-
-_textsearchtypeprefsboth_ {You can switch the search type of the collection between "plain" search, and "form" search. 
+_textsearchtypeprefsform_ {You can change the number of fields shown in the search form.}
+
+_textsearchtypeprefsboth_ {You can switch the search type of the collection between "normal" search, and "fielded" search. 
 <ul>
-<li>Plain search provides a single query box. _textsearchtypeprefsplain_</li>
-<li>Form search provides a number of query boxes, each querying a different field of the index. This enables fielded searching. _textsearchtypeprefsform_ </li>
+<li>Normal search provides a single query box. _textsearchtypeprefsplain_</li>
+<li>Fielded search provides a number of query boxes, each querying a different field of the index. This enables searching over different fields at once. _textsearchtypeprefsform_ </li>
 </ul>
 }
@@ -786,5 +783,5 @@
 _texthelpscope_ {
 <p>
-In most collections you can choose different indexes to search. For example, there might
+In most collections you are given a choice of different indexes to search. For example, there might
 be author or title indexes. Or there might be chapter or paragraph indexes. Generally,
 the full matching document is returned regardless of which index you search.