Index: trunk/gsdl/macros/arabic2.dm
===================================================================
--- trunk/gsdl/macros/arabic2.dm	(revision 13007)
+++ trunk/gsdl/macros/arabic2.dm	(revision 13008)
@@ -100,79 +100,4 @@
 }  # Updated 9-Aug-2006
 
-_textgreenstone_ [l=ar] {<p>Greenstone is a semi-precious stone that (like this software) is sourced
-in New Zealand.  In traditional Maori society it was the most highly prized
-and sought after of all substances.  It can absorb and hold <i>wairua</i>,
-which is a spirit or life force, and is endowed with traditional virtues
-that make it an appropriate emblem for a public-domain digital library
-project.  Its lustre shows charity; its translucence, honesty; its
-toughness, courage; and the sharp edge it can take, justice.  The carved
-piece used in the Greenstone Digital Library Software logo is a <i>patu</i>
-or fighting club, and is a family heirloom of one of our project members.
-In hand-to-hand combat its delivery is very quick, very accurate, and very
-complete.  We like to think these qualities also apply to our software, the
-razor sharp edge of the <i>patu</i> symbolizing the leading edge of
-technology.
-}  # Updated 4-Sep-2006 by usamasa
-
-_textaboutgreenstone_ [l=ar] {<p>Greenstone is a suite of software for building and distributing digital
-library collections. It provides a new way of organizing information and
-publishing it on the Internet or on CD-ROM.  Greenstone is produced by the
-<b>New Zealand Digital Library Project</b> at the <b>University of
-Waikato</b>, and developed and distributed in cooperation with
-<b>UNESCO</b> and the <b>Human Info NGO</b>.  It is open-source
-software, available from <a
-href="http://greenstone.org">http://greenstone.org</a> under the terms of
-the GNU General Public License.
-</p>
-
-<p>The aim of the software is to empower users, particularly in
-universities, libraries, and other public service institutions, to
-build their own digital libraries.  Digital libraries are radically
-reforming how information is disseminated and acquired in UNESCO's
-partner communities and institutions in the fields of education,
-science and culture around the world, and particularly in developing
-countries.  We hope that this software will encourage the effective
-deployment of digital libraries to share information and place it in
-the public domain.
-</p>
-
-<p>This software is developed and distributed as an international
-cooperative effort established in August 2000 among three parties.
-</p>
-
-<p>
-<a href="http://nzdl.org"><b>New Zealand Digital Library Project at the University of Waikato</b></a>
-<br>
-Greenstone software grew out of this project, and this initiative
-has been endorsed by the Communication Sub-Commission of the New
-Zealand National Commission for UNESCO as part of New Zealand's
-contribution to UNESCO's programme.
-</p>
-
-<p>
-<a href="http://www.unesco.org"><img alt="UNESCO logo" src="_httpimg_/unesco.gif"
-class="logo"></a>
-<a href="http://www.unesco.org"><b>United Nations Educational, Scientific and Cultural Organization</b></a>
-<br>
-The dissemination of educational, scientific and cultural information
-throughout the world, and particularly its availability in developing
-countries, is central to UNESCO's goals as pursued within its
-intergovernmental Information for All Programme, and appropriate,
-accessible information and communication technology is seen as an important
-tool in this context.
-</p>
-
-<p>
-<a href="http://humaninfo.org"><img alt="Human Info logo" src="_httpimg_/ghproj2.jpg" class="logo"></a>
-<a href="http://humaninfo.org"><b>The Human Info NGO, based in Antwerp, Belgium</b></a>
-<br>
-This project works with UN agencies and other NGOs, and has established
-a worldwide reputation for digitizing documentation of interest to
-human development and making it widely available, free of charge to
-developing nations and on a cost-recovery basis to others.
-</p>
-}  # Updated 10-Aug-2006
-
-
 _textdescrselcol_ [l=ar] {Ø§Ø®ØªØ± Ù
 Ø¬Ù
@@ -353,16 +278,4 @@
 # text macros
 #------------------------------------------------------------
-
-_textnodocumentation_ [l=ar] {<p>This Greenstone installation does not include any documentation. This
-may be because:
-<ol>
- <li>Greenstone was installed from CD-ROM using a compact installation.
- <li>Greenstone was installed from a distribution downloaded from the
- internet.
-</ol>
-In either case you may obtain the documentation either from the <i>docs</i>
-directory of a Greenstone CD-ROM or by visiting <a
-href="http://www.greenstone.org">http://www.greenstone.org</a>.
-}  # Updated 9-Aug-2006
 
 _textuserguide_ [l=ar] {Ø¯ÙÙÙ Ø§ÙÙ
@@ -552,17 +465,4 @@
 ÙØ¹Ø© ...}  # Updated 8-Aug-2006
 
-_textcollectorblurb_ [l=ar] {<i>The pen is mightier than the sword!
-<br>Building and distributing information collections carries responsibilities
-that you may want to reflect on before you begin.
-There are legal issues of copyright: being able to access documents doesn't
-mean you can necessarily give them to others.
-There are social issues:  collections should respect the customs of the
-community out of which the documents arise.
-And there are ethical issues: some things simply should not be made 
-available to others.
-<br>Be sensitive to the power of information and use it wisely.
-</i>
-}  # Updated 10-Aug-2006
-
 _textcb1_ [l=ar] {ÙØ³Ø§Ø¹Ø¯ "Ø§ÙÙ
 Ø¬Ù
@@ -586,12 +486,4 @@
 Ù ÙÙ ÙØ§Ø­Ø¯Ø© Ù
 ÙØ¬ÙØ¯Ø© Ø£Ù Ø¥Ø¶Ø§ÙØ© ØšÙØ§ÙØ§Øª ÙÙØ§ Ø£Ù Ø­Ø°ÙÙØ§.}  # Updated 10-Aug-2006
-
-_textcb3_ [l=ar] {In order to build or modify digital library collections you must sign in.
-This is to protect you from others logging in to your computer and altering
-the information on it.  Note: for security reasons you will be
-automatically logged out once a 30 minute period has elapsed since you
-logged in.  If this happens, don't worry! -- you will be invited to log in
-again and can continue from where you left off.
-}  # Updated 9-Aug-2006
 
 _textcb4_ [l=ar] {Ù
@@ -883,19 +775,4 @@
 ØµØ§Ø¯Ø±:}  # Updated 10-Aug-2006
 
-_textddd1_ [l=ar] {<p>If you use file:// or ftp:// to specify a file, that file will be
-downloaded.
-
-<p>If you use http:// it depends on whether the URL gives you a normal web
-page in your browser, or a list of files.  If a page, that page will be
-downloaded -- and so will all pages it links to, and all pages they link
-to, etc. -- provided they reside on the same site, below the URL.
-
-<p>If you use file:// or ftp:// to specify a folder or directory, or give a
-http:// URL that leads to a list of files, everything in the folder and all
-its sub-folders will be included in the collection.
-
-<p>Click the "more sources" button to get more input boxes.
-}  # Updated 10-Aug-2006
-
 _textddd2_ [l=ar] {<p>Ø§Ø¶ØºØ· Ø¹ÙÙ Ø§ÙØ£Ø²Ø±Ø§Ø± Ø§ÙØ®Ø¶Ø±Ø§Ø¡. Ø¥Ø°Ø§ ÙÙØª Ù
 Ø³ØªØ®Ø¯Ù
@@ -975,15 +852,4 @@
 Ø¬Ù
 Ø¹}  # Updated 9-Aug-2006
-
-_textdelperm_ [l=ar] {Some or all of the _cgiargbc1dirname_ collection could not be
-deleted. Possible causes are:
-<ul>
-<li> Greenstone does not have permission to delete the _gsdlhome_/collect/_cgiargbc1dirname_
-directory.<br>
-You may need to remove this directory manually to complete the removal of the _cgiargbc1dirname_
-collection from this computer.</li>
-<li>Greenstone can not run the program _gsdlhome_/bin/script/delcol.pl. Make sure that this file is readable and executable.</li>
-</ul>
-}  # Updated 10-Aug-2006
 
 _textdelinv_ [l=ar] {Ø§ÙÙ
@@ -1096,24 +962,4 @@
 _gsdlhome_/tmp/exported\__cgiargbc1dirname_ .}  # Updated 9-Aug-2006
 
-_textexptfail_ [l=ar] {<p>Failed to export the _cgiargbc1dirname_ collection.
-
-<p>This is likely to be because Greenstone was installed without the
-necessary components to support the "Export Collection" function.
-<ul>
-
- <li>If you installed Greenstone from a CD-ROM these components won't have
- been installed unless you selected them during a "Custom" install.
- You may add them to your installation by re-running the installation 
- procedure.
-
- <li>If you installed Greenstone from a web distribution you will need to
- download and install an additional package to enable this function. Please
- visit <a href="http://www.greenstone.org">http://www.greenstone.org</a> or
- email <a
- href="mailto:greenstone@cs.waikato.ac.nz">greenstone@cs.waikato.ac.nz</a>
- for further details.
-
-</ul>
-}  # Updated 11-Aug-2006
 
 ######################################################################
@@ -1311,13 +1157,4 @@
 Ù Netscape Navigator Ø£Ù Internet Explorer.}  # Updated 9-Aug-2006
 
-_textgreenstone4_ [l=ar] {Many document collections are distributed on CD-ROM using the Greenstone
-software. For example, the <i>Humanity Development Library</i> contains
-1,230 publications ranging from accounting to water sanitation. It runs on
-minimal computing facilities such as those typically found in developing
-countries. The information can be accessed by searching, browsing by
-subject, browsing by titles, browsing by organisation, browsing a list of
-how-tos, and by randomly viewing the book covers.
-}  # Updated 9-Aug-2006
-
 _textcustomisationtitle_ [l=ar] {Ø¥Ù
 ÙØ§ÙÙØ© Ø§ÙØªØ¹Ø¯ÙÙ}  # Updated 10-Aug-2006
@@ -1413,5 +1250,5 @@
 ÙÙ
  ÙØªÙÙÙØ° ÙØšØ±ÙØ§Ù
-Ø¬ Greenstene 2 Ù
+Ø¬ Greenstone 2 Ù
 Ø¹ Ø§ÙØ§Ø­ØªÙØ§Øž ØšÙÙ Ø§ÙÙ
 Ù
@@ -1895,31 +1732,4 @@
 _textgtierror_ [l=ar] {Ø­Ø¯Ø« Ø®Ø·Ø£ Ù
 Ø§}  # Updated 8-Aug-2006
-
-_textgtihome_ [l=ar] {These pages help you improve Greenstone's multilingual language support. Using them, you can
-<ul>
-  <li>translate parts of Greenstone into a new language
-  <li>update an existing language interface when the English language interface changes (eg. for new Greenstone facilities)
-  <li>correct errors in existing translations
-</ul>
-
-You will be presented with a series of web pages, each containing
-a phrase to translate.
-You proceed by translating the language interface phrase by phrase.
-Many phrases contain HTML formatting commands: you should not
-attempt to translate these but preserve them intact in the translated
-version. Words flanked by underscores (like _this_) should not be
-translated either (they're Greenstone "macro" names).
-<p>
-If you are updating an existing language interface you will not be presented
-with phrases for which a translation already exists. Sometimes a translation
-exists but the English text has since been changed. In this case the current
-translation will be provided and you should check and update this if necessary.
-<p>
-To correct a translation that has already been updated, use the "Correct existing translations" facility available for each part of Greenstone.
-<p>
-Each page ends with a "_textgtisubmit_" button. When you press it, changes are
-made immediately to a separate Greenstone installation at nzdl.org. A button
-is provided on each page to access this site.
-}  # Updated 10-Aug-2006
 
 _textgtiselecttlc_ [l=ar] {Ù